### Function

# Gimp Image get_by_id

unstable since: 3.0

#### Declaration [src]

    GimpImage*
    gimp_image_get_by_id (
      gint32 image_id
    )

#### Description

No description available.

Available since: 3.0

#### Parameters

`image_id`

  Type: `gint32`

  The image id.

#### Return value

Type: `GimpImage`

A `GimpImage` for `image_id` or `NULL` if `image_id` does not represent a valid image. The object belongs to libgimp and you must not modify or unref it.

The data is owned by the called function.
The return value can be `NULL`.